#!/bin/sh

rho="value  #rho#;"
e="value  #E#;"

# copy the case archive 
foam_dir=/home/ashishvinayak/Documents/etc/2018_propti_fsj/DataProcessing/foam_example
cp $foam_dir/beamEndLoad.tar.gz .
tar -xvf beamEndLoad.tar.gz --strip 1

# Replace things
sed -i -e "s/.*value.*\#E\#;/$e/g" constant/mechanicalProperties     
sed -i -e "s/.*value.*\#rho\#;/$rho/g" constant/mechanicalProperties

solidEquilibriumDisplacementFoam &> log.solidEqDFoam
postProcess

# need to add things after this...
mv postProcessing/fieldMinMax1/0/fieldMinMax.dat simulation_data.dat
